Summary: A wrapper for SGMLtools to process Chinese
Name: bg5sgmltools
%define bg5_version 0.8
Version: %{bg5_version}
Release: 8
Copyright: GPL
Group: Applications/Publishing
Packager: "Chih-Wei Huang" <cwhuang@phys.ntu.edu.tw>
Source: ftp://ftp.phys.ntu.edu.tw/pub/OS/Linux/src/bg5sgmltools-%{bg5_version}.tar.gz
URL: http://www.linux.org.tw/CLDP/
Buildroot: /var/tmp/bg5sgmltools-root
Requires: sgml-tools

%description
This is a wrapper for SGMLtools, let you convert Chinese SGML
file to HTML, plain text, LaTeX, and so on.

%changelog

* Mon Nov 7 1998 Chih-Wei Huang <cwhuang@phys.ntu.edu.tw>

- Modify bg5sgml2txt to cooperate with lynx 2.8.1

* Thu Aug 20 1998 Chih-Wei Huang <cwhuang@phys.ntu.edu.tw>

- Change build & install step to use Makefile

* Tue Aug 18 1998 Chih-Wei Huang <cwhuang@phys.ntu.edu.tw>

- Updated to version 0.8
- Only make b2a and plain text document

* Wed Aug 12 1998 Chih-Wei Huang <cwhuang@phys.ntu.edu.tw>

- Change binaries install path to /usr/bin
- Install files to Buildroot while making package
- Add sgml-tool to required dependence 

* Sat Aug 8 1998 Chih-Wei Huang <cwhuang@phys.ntu.edu.tw>

- Remove \protect macro added to tex sources
- Unset LANG, LC_CTYPE, LC_ALL
- Remark <nidx> </nidx> before parsing SGML file

* Mon Aug 06 1998 Chih-Wei Huang <cwhuang@phys.ntu.edu.tw>

- Updated to version 0.7
- Add bg5sgml2txt

* Mon Aug 03 1998 Chih-Wei Huang <cwhuang@phys.ntu.edu.tw>

- Updated to version 0.6

* Sat Aug 01 1998 Chih-Wei Huang <cwhuang@phys.ntu.edu.tw>

- Updated to version 0.5


%prep
%setup

%build
make b2a readme.txt

%install
BIN=$RPM_BUILD_ROOT/usr/bin
mkdir -p $BIN
make install BIN=$BIN

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc COPYING TODO ChangeLog readme.sgml readme.txt
/usr/bin/b2a
/usr/bin/bg5sgmlfunctions
/usr/bin/bg5sgmlcheck
/usr/bin/bg5sgml2html
/usr/bin/bg5sgml2txt
/usr/bin/bg5sgml2latex
/usr/bin/bg5sgml2lyx

